Retrieves the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Optionally required : article_status_id required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

date_start_delivery

Start delivery date

date
date_start

Date start

date
date_end

Date end

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7ba125d3-31be-4acc-95b3-2e6c369dc137",
  "article_status_id": "ad2bc636-f3aa-414d-924a-d6368d69faeb",
  "article_id": "33b9905d-06ff-4e29-88ef-bb03a38903aa",
  "article_code": "sample string 4",
  "sales_organization_id": "26e78322-7108-492f-8519-45642db7950d",
  "date_start_delivery": "2026-10-26T07:46:26.0447522+00:00",
  "date_start": "2026-10-26T07:46:26.0447522+00:00",
  "date_end": "2026-10-26T07:46:26.0447522+00:00",
  "modified_dateutc": "2026-10-26T07:46:26.0447522+00:00"
}